ur_rna.RNAstructureUI.ui

## Class RadioButtonPanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - ur_rna.RNAstructureUI.ui.RadioButtonPanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible

      public class RadioButtonPanel
      extends javax.swing.JPanel

  A class that creates a panel containing a group of radio buttons.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private javax.swing.ButtonGroup` | `group` The button group connected to this panel.
    `private java.util.ArrayList<javax.swing.JRadioButton>` | `group2` The button group, as a list, for ease of access to each.
    `private java.lang.String[]` | `names` The names of the buttons in the group.
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `RadioButtonPanel(java.lang.String title, java.lang.String layout, java.awt.event.ActionListener listener, java.lang.String... names)` Constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSelectedIndex()` Get the index of the selected button from this panel.
    `java.lang.String` | `getSelectedName()` Get the command of the selected button from this panel.
    `static RadioButtonPanel` | `makeHorizontal(java.lang.String[] names)` Create a button panel with a horizontal layout.
    `static RadioButtonPanel` | `makeHorizontal(java.lang.String title, java.awt.event.ActionListener listener, java.lang.String... names)` Create a button panel with a title, horizontal layout, and an action listener associated with the buttons.
    `static RadioButtonPanel` | `makeHorizontal(java.lang.String title, java.lang.String... names)` Create a button panel with a title and horizontal layout.
    `static RadioButtonPanel` | `makeVertical(java.lang.String[] names)` Create a button panel with a vertical layout.
    `static RadioButtonPanel` | `makeVertical(java.lang.String title, java.awt.event.ActionListener listener, java.lang.String... names)` Create a button panel with a title, vertical layout, and an action listener associated with the buttons.
    `static RadioButtonPanel` | `makeVertical(java.lang.String title, java.lang.String... names)` Create a button panel with a title and vertical layout.
    `void` | `setSelectedButton(java.lang.String name)` Set a particular button in this group to be selected.

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### group

          private javax.swing.ButtonGroup group

      The button group connected to this panel.

    - #### group2

          private java.util.ArrayList<javax.swing.JRadioButton> group2

      The button group, as a list, for ease of access to each.

    - #### names

          private java.lang.String[] names

      The names of the buttons in the group.

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RadioButtonPanel

          private RadioButtonPanel(java.lang.String title,
                                   java.lang.String layout,
                                   java.awt.event.ActionListener listener,
                                   java.lang.String... names)

      Constructor.
      Parameters:
        `title` - The title of the panel.
        `layout` - The layout of the panel, horizontal or vertical.
        `listener` - The action listener connected to the buttons.
        `names` - The names of the buttons.

  - ### Method Detail

    - #### getSelectedIndex

          public int getSelectedIndex()

      Get the index of the selected button from this panel.
      Returns:
        The button index, one-indexed.

    - #### getSelectedName

          public java.lang.String getSelectedName()

      Get the command of the selected button from this panel.
      Returns:
        The button name.

    - #### makeHorizontal

          public static RadioButtonPanel makeHorizontal(java.lang.String[] names)

      Create a button panel with a horizontal layout.
      Parameters:
        `names` - The names of the buttons.

    - #### makeHorizontal

          public static RadioButtonPanel makeHorizontal(java.lang.String title,
                                                        java.awt.event.ActionListener listener,
                                                        java.lang.String... names)

      Create a button panel with a title, horizontal layout, and an action listener associated with the buttons.
      Parameters:
        `title` - The title of the panel.
        `listener` - The listener that controls the actions done by buttons.
        `names` - The names of the buttons.

    - #### makeHorizontal

          public static RadioButtonPanel makeHorizontal(java.lang.String title,
                                                        java.lang.String... names)

      Create a button panel with a title and horizontal layout.
      Parameters:
        `title` - The title of the panel.
        `names` - The names of the buttons.

    - #### makeVertical

          public static RadioButtonPanel makeVertical(java.lang.String[] names)

      Create a button panel with a vertical layout.
      Parameters:
        `names` - The names of the buttons.

    - #### makeVertical

          public static RadioButtonPanel makeVertical(java.lang.String title,
                                                      java.awt.event.ActionListener listener,
                                                      java.lang.String... names)

      Create a button panel with a title, vertical layout, and an action listener associated with the buttons.
      Parameters:
        `title` - The title of the panel.
        `listener` - The listener that controls the actions done by buttons.
        `names` - The names of the buttons.

    - #### makeVertical

          public static RadioButtonPanel makeVertical(java.lang.String title,
                                                      java.lang.String... names)

      Create a button panel with a title and vertical layout.
      Parameters:
        `title` - The title of the panel.
        `names` - The names of the buttons.

    - #### setSelectedButton

          public void setSelectedButton(java.lang.String name)

      Set a particular button in this group to be selected.
      Parameters:
        `name` - The name of the button to be selected.